package libtui

import (
	"testing"
)

/*
	Тест для главного модуля
*/

func TestTui(t *testing.T) {
	{ // size
		sizeX := NewX(5)
		if sizeX == nil {
			t.Fatalf("sizeX==nil")
		}
		if sx := sizeX.Get(); sx != 5 {
			t.Fatalf("sizeX(%v)!=5", sx)
		}

		sizeY := NewSizeY(50)
		if sizeY == nil {
			t.Fatalf("sizeY==nil")
		}
		if sy := sizeY.Get(); sy != 50 {
			t.Fatalf("sizeY(%v)!=50", sy)
		}

		size := NewSize(20, 200)
		if size == nil {
			t.Fatalf("size==nil")
		}
		{
			sx, sy := size.Get()
			if sx != 20 {
				t.Fatalf("sizeX(%v)!=20", sx)
			}
			if sy != 200 {
				t.Fatalf("sizeY(%v)!=200", sy)
			}
		}
	}
	{ // pos
		posX := NewPosX(5)
		if posX == nil {
			t.Fatalf("posX==nil")
		}
		if px := posX.Get(); px != 5 {
			t.Fatalf("posX(%v)!=5", px)
		}

		posY := NewPosY(50)
		if posY == nil {
			t.Fatalf("posY==nil")
		}
		if py := posY.Get(); py != 50 {
			t.Fatalf("posY(%v)!=50", py)
		}

		pos := NewPos(20, 200)
		if pos == nil {
			t.Fatalf("pos==nil")
		}
		{
			px, py := pos.Get()
			if px != 20 {
				t.Fatalf("posX(%v)!=20", px)
			}
			if py != 200 {
				t.Fatalf("posY(%v)!=200", py)
			}
		}
	}
}
